summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorJingbei Li2019-01-21 16:21:16 +0800
committerJingbei Li2019-01-21 16:21:16 +0800
commite98287d00894b2cd568dd2e7a3708512a86d6140 (patch)
tree91c5b7aa8198de6b4d03c52e2c54e99f3c097d6c
parent10d17ee5c2c312404b6a03b078c7a45029427c1a (diff)
downloadaur-e98287d00894b2cd568dd2e7a3708512a86d6140.tar.gz
upgraded to 20190108
-rw-r--r--.SRCINFO8
-rw-r--r--PKGBUILD42
2 files changed, 24 insertions, 26 deletions
diff --git a/.SRCINFO b/.SRCINFO
index 4e72ed25b91..d2b2a98c60b 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,7 +1,7 @@
pkgbase = openfoam
pkgdesc = The open source CFD toolbox
- pkgver = 6
- pkgrel = 3
+ pkgver = 6.20190108
+ pkgrel = 1
url = http://www.openfoam.org
install = openfoam.install
arch = x86_64
@@ -14,9 +14,9 @@ pkgbase = openfoam
depends = boost
depends = flex
depends = cgal
- source = https://github.com/OpenFOAM/OpenFOAM-6/archive/version-6.tar.gz
+ source = https://github.com/OpenFOAM/OpenFOAM-6/archive/20190108.tar.gz
source = openfoam.install
- md5sums = f40aa39d4d5dfe7ea8d9a58f2625037a
+ md5sums = f99a51f0e07af178b7e2e8d31cc7fdf1
md5sums = 906a97732076501f3899d72d3a7393b3
pkgname = openfoam
diff --git a/PKGBUILD b/PKGBUILD
index fbe2f426dc8..0cdeeaab7b8 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -4,22 +4,25 @@
# Contributor: Andrew Fischer <andrew_at_apastron.co>
pkgname=openfoam
-pkgver=6
-pkgrel=3
+_subver=20190108
+_pkgver=6
+pkgver=${_pkgver}.${_subver}
+pkgrel=1
pkgdesc="The open source CFD toolbox"
_distpkgname=OpenFOAM
-_gitname=$_distpkgname-$pkgver
+_gitname=$_distpkgname-$_pkgver
arch=('x86_64')
url="http://www.openfoam.org"
license=("GPL")
depends=('bzip2' 'paraview' 'parmetis' 'scotch' 'boost' 'flex' 'cgal')
makedepends=('bash')
-source=("https://github.com/OpenFOAM/$_gitname/archive/version-$pkgver.tar.gz" "${pkgname}.install")
+source=("https://github.com/OpenFOAM/$_gitname/archive/$_subver.tar.gz" "${pkgname}.install")
install="${pkgname}.install"
-md5sums=('f40aa39d4d5dfe7ea8d9a58f2625037a' '906a97732076501f3899d72d3a7393b3')
+md5sums=('f99a51f0e07af178b7e2e8d31cc7fdf1'
+ '906a97732076501f3899d72d3a7393b3')
prepare() {
- mv $srcdir/$_gitname-version-$pkgver $srcdir/$_distpkgname-$pkgver
+ mv $srcdir/$_gitname-$_subver $srcdir/$_distpkgname-$_pkgver
# Extract the current version and major of paraview and of scotch for use in the system preferences
#_pversion=`pacman -Q paraview | sed -e 's/.* //; s/-.*//g'`
_pversion=$(pacman -Q $(pacman -Qqo $(which paraview)) | sed -e 's/.* //; s/-.*//g')
@@ -31,27 +34,22 @@ prepare() {
echo "export WM_MPLIB=SYSTEMOPENMPI" >> ${srcdir}/prefs.sh
echo "export ParaView_VERSION=${_pversion}" >> ${srcdir}/prefs.sh
echo "export ParaView_MAJOR=${_pmajor}" >> ${srcdir}/prefs.sh
- cp ${srcdir}/prefs.sh ${srcdir}/${_distpkgname}-${pkgver}/etc #|| return 1
+ cp ${srcdir}/prefs.sh ${srcdir}/${_distpkgname}-${_pkgver}/etc #|| return 1
# Generate the scotch.sh file for arch
echo "export SCOTCH_VERSION=scotch_${_sversion}" > ${srcdir}/scotch.sh
echo "export SCOTCH_ARCH_PATH=/usr" >> ${srcdir}/scotch.sh
- cp ${srcdir}/scotch.sh ${srcdir}/${_distpkgname}-${pkgver}/etc/config #|| return 1
-
- # Patches
- #cd ${srcdir}/${_distpkgname}-${pkgver}
- #sed '550s| \*this||' -i src/OpenFOAM/containers/Lists/PackedList/PackedListI.H
- #sed '35,40d' -i src/thermophysicalModels/specie/reaction/Reactions/Reaction/ReactionI.H
+ cp ${srcdir}/scotch.sh ${srcdir}/${_distpkgname}-${_pkgver}/etc/config #|| return 1
}
build() {
# Setup the build environment
export FOAM_INST_DIR=${srcdir}
- foamDotFile=${srcdir}/${_distpkgname}-${pkgver}/etc/bashrc
+ foamDotFile=${srcdir}/${_distpkgname}-${_pkgver}/etc/bashrc
[ -f ${foamDotFile} ] || return 1
# Enter build directory
- cd ${srcdir}/${_distpkgname}-${pkgver}
+ cd ${srcdir}/${_distpkgname}-${_pkgver}
# Build and clean up OpenFOAM
bash -c "source ${foamDotFile}
@@ -67,20 +65,20 @@ package() {
install -d ${pkgdir}/opt/${_distpkgname} ${pkgdir}/etc/profile.d || return 1
# copy package to pkgdir
- cp -r ${srcdir}/${_distpkgname}-${pkgver} ${pkgdir}/opt/${_distpkgname} || return 1
+ cp -r ${srcdir}/${_distpkgname}-${_pkgver} ${pkgdir}/opt/${_distpkgname} || return 1
# Add source file
- echo "export FOAM_INST_DIR=/opt/${_distpkgname}" > ${pkgdir}/etc/profile.d/openfoam-${pkgver}.sh || return 1
- echo "alias ofoam=\"source \${FOAM_INST_DIR}/${_distpkgname}-${pkgver}/etc/bashrc\"" >> ${pkgdir}/etc/profile.d/openfoam-${pkgver}.sh || return 1
- chmod 755 ${pkgdir}/etc/profile.d/openfoam-${pkgver}.sh || return 1
+ echo "export FOAM_INST_DIR=/opt/${_distpkgname}" > ${pkgdir}/etc/profile.d/openfoam-${_pkgver}.sh || return 1
+ echo "alias ofoam=\"source \${FOAM_INST_DIR}/${_distpkgname}-${_pkgver}/etc/bashrc\"" >> ${pkgdir}/etc/profile.d/openfoam-${_pkgver}.sh || return 1
+ chmod 755 ${pkgdir}/etc/profile.d/openfoam-${_pkgver}.sh || return 1
# Add stub thirdparty directory to keep openfoam happy
- install -d ${pkgdir}/opt/${_distpkgname}/ThirdParty-${pkgver} || return 1
+ install -d ${pkgdir}/opt/${_distpkgname}/ThirdParty-${_pkgver} || return 1
# Permission fixes - for system-wide install and use
chmod -R go+r ${pkgdir}/opt
- chmod -R 755 ${pkgdir}/opt/${_distpkgname}/${_distpkgname}-${pkgver}/bin
- chmod -R 755 ${pkgdir}/opt/${_distpkgname}/${_distpkgname}-${pkgver}/etc
+ chmod -R 755 ${pkgdir}/opt/${_distpkgname}/${_distpkgname}-${_pkgver}/bin
+ chmod -R 755 ${pkgdir}/opt/${_distpkgname}/${_distpkgname}-${_pkgver}/etc
}
# vim:set ts=2 sw=2 et: